#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_ArenaTaskCFGData
{
	//编号
	int mID;
	//任务组
	int mGroup;
	//任务描述
	std::string mTaskDesc;
	//鱼ID
	int mfishId;
	//完成计数
	int mneedCount;
	//奖励类型
	int mType;
	//任务奖励
	int mTaskReward;
	//任务1奖励说明
	std::string mTaskRewardDesc1;
	//任务2奖励说明
	std::string mTaskRewardDesc2;
};

class Fish_ArenaTaskCFG
{
public:
private:
	static std::auto_ptr<Fish_ArenaTaskCFG> msSingleton;
public:
	int GetCount();
	const Fish_ArenaTaskCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_ArenaTaskCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_ArenaTaskCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_ArenaTaskCFGData> mMapData;
};
